# react-space-styled-components

This is a web-application made to see images of space that I made during one of my Alura's courses. It's made in React.js using styled components.

## Demo

![Demo of react-space-styled-components](https://gitlab.com/alura-courses-code/react/react-space-styled-components/-/raw/main/img/demo.png)

You can find a live demo by clicking [here](https://react-space-styled-components.netlify.app).

## Prerequisites
Before getting started, make sure you have the following requirements installed on your machine:

1. **Node.js**: Node.js is a platform that allows the execution of JavaScript code on the server. You can download Node.js from the [official website](https://nodejs.org) and follow the installation instructions for your operating system.

2. **NPM**: NPM is the package manager for Node.js. It is installed along with Node.js and is necessary for installing project dependencies.

## Installation and Development

### Step 1: Clone the repository

Clone this repository to your desired folder on your machine:

```
git clone https://gitlab.com/alura-courses-code/react/react-space-styled-components.git
```

### Step 2: Install dependencies

Navigate to the project directory and install the dependencies using NPM:

```
cd react-space-styled-components
npm install
```

### Step 3: Run the application
After configuring the RapidAPI key, you can start the application locally with the following command:

```
npm run dev
```

The application will be available in your browser at [localhost:3000](http://localhost:3000).

## Contributing

If you wish to contribute to this project, feel free to open a merge request. We welcome all forms of contribution!

## License

This project is licensed under the [MIT](https://gitlab.com/alura-courses-code/react/react-space-styled-components/-/blob/main/LICENSE). Refer to the LICENSE file for more details.
